Redmine - Defect #3176

Issue categories select-box is hided in new/update issue page when a project has no
issue-categories

2009-04-15 10:20 - Chaoqun Zou

Status: Closed Start date: 2009-04-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version:

Description
If a project has no issue categories, when add issue or edit issue, the issue categories select box is hided.

History

#1 - 2009-04-15 12:02 - Mischa The Evil

Correct me if I'm wrong but as far as | can see this is the intended behaviour... The select-box will appear when categories are defined - sic - when
you wantto use them...

#2 - 2009-04-15 13:09 - Chaoqun Zou

But there is an Add issue categories button which follows the select box, that means the system allow user to create new categories in new issue
page. Then why should user can't add new categories only when there is no categories defined?

#3 - 2009-04-24 18:47 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

This problem was already discussed in #2619:

True, | knewn about that. But it also hides the field for those who do not want to use categories at all.
You can create a first set of categories in project settings then use the shortcut when one is missing.
